Retrieve all realtime triggers
Authentication: required
curl --request GET \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime/channel/trigger \
--header 'Authorization: Bearer <token>'{
"curPage": 123,
"nextPage": 123,
"prevPage": 123,
"items": [
{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "Realtime Trigger",
"description": "My realtime trigger test description",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"branch": "v1",
"tag": [
"example tag"
],
"actions": {
"message": true,
"join": true
},
"xanoscript": {
"status": "ok",
"value": "<string>",
"message": "<string>"
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
created_at, updated_at, name asc, desc Was this page helpful?
curl --request GET \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime/channel/trigger \
--header 'Authorization: Bearer <token>'{
"curPage": 123,
"nextPage": 123,
"prevPage": 123,
"items": [
{
"id": 1,
"created_at": "2023-04-19 21:01:32+0000",
"updated_at": "2023-04-19 21:01:32+0000",
"name": "Realtime Trigger",
"description": "My realtime trigger test description",
"guid": "YE1fwVhQ-enRlc6Sb42Gqru58-0",
"branch": "v1",
"tag": [
"example tag"
],
"actions": {
"message": true,
"join": true
},
"xanoscript": {
"status": "ok",
"value": "<string>",
"message": "<string>"
}
}
]
}